@import 'variables';
@import 'bootstrap/mixins/buttons';

h1, h2, h3, h4, h5, h6 {
  &:first-child {
    margin-top: 0;
  }
}

.glyphicon {
  &.size-12 {
    font-size: 12px;
  }
  
  &.smaller {
    font-size: (6 / 7) * 1em;
  }
}

.btn-xxs {
  @include button-size(
    1px, 
    3px, 
    $font-size-small, 
    1, 
    $btn-border-radius-small
  );
}

table.table {
  th {
    text-transform: uppercase;
    color: $gray-light;
  }
  
  &.table-striped {
    td {
      border-top: 0px none;
    }
  }
  
  tfoot {
    td, th {
      border-top: 2px solid #ddd !important;
    }
    
    td { color: $gray-light }
  }
  
  .actions {
    opacity: 0;
    transition: opacity 100ms;
    a {
      margin: 0 0.2em;
    }
  }
  
  tr:hover .actions { opacity: 0.25 }
  td:hover .actions { opacity: 1 }
  
  tr {
    &.active {
      td { background: $highlight-color; }
    }
  }
}

.form-inline {
  &.spaced {
    & > .form-group + .form-group {
      margin-left: 20px;
    }
  }
}

